Upstream information

CVE-2017-7272 at MITRE

Description

PHP through 7.1.3 enables potential SSRF in applications that accept an fsockopen hostname argument with an expectation that the port number is constrained. Because a :port syntax is recognized, fsockopen will use the port number that is specified in the hostname argument, instead of the port number in the second argument of the function.

SUSE information

Overall state of this security issue: Running

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 5.8 5
Vector AV:N/AC:M/Au:N/C:P/I:P/A:N AV:N/AC:L/Au:N/C:N/I:N/A:P
Access Vector Network Network
Access Complexity Medium Low
Authentication None None
Confidentiality Impact Partial None
Integrity Impact Partial None
Availability Impact None Partial
CVSS v3 Scores
  National Vulnerability Database
Base Score 7.4
Vector AV:N/AC:L/PR:N/UI:R/S:C/C:N/I:H/A:N
Access Vector Network
Access Complexity Low
Privileges Required None
User Interaction Required
Scope Changed
Confidentiality Impact None
Integrity Impact High
Availability Impact None
SUSE Bugzilla entries: 1031246 [RESOLVED], 1044976 [RESOLVED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Server 11 SP4
  • apache2-mod_php53 >= 5.3.17-111.2
  • php53 >= 5.3.17-111.2
  • php53-bcmath >= 5.3.17-111.2
  • php53-bz2 >= 5.3.17-111.2
  • php53-calendar >= 5.3.17-111.2
  • php53-ctype >= 5.3.17-111.2
  • php53-curl >= 5.3.17-111.2
  • php53-dba >= 5.3.17-111.2
  • php53-dom >= 5.3.17-111.2
  • php53-exif >= 5.3.17-111.2
  • php53-fastcgi >= 5.3.17-111.2
  • php53-fileinfo >= 5.3.17-111.2
  • php53-ftp >= 5.3.17-111.2
  • php53-gd >= 5.3.17-111.2
  • php53-gettext >= 5.3.17-111.2
  • php53-gmp >= 5.3.17-111.2
  • php53-iconv >= 5.3.17-111.2
  • php53-intl >= 5.3.17-111.2
  • php53-json >= 5.3.17-111.2
  • php53-ldap >= 5.3.17-111.2
  • php53-mbstring >= 5.3.17-111.2
  • php53-mcrypt >= 5.3.17-111.2
  • php53-mysql >= 5.3.17-111.2
  • php53-odbc >= 5.3.17-111.2
  • php53-openssl >= 5.3.17-111.2
  • php53-pcntl >= 5.3.17-111.2
  • php53-pdo >= 5.3.17-111.2
  • php53-pear >= 5.3.17-111.2
  • php53-pgsql >= 5.3.17-111.2
  • php53-pspell >= 5.3.17-111.2
  • php53-shmop >= 5.3.17-111.2
  • php53-snmp >= 5.3.17-111.2
  • php53-soap >= 5.3.17-111.2
  • php53-suhosin >= 5.3.17-111.2
  • php53-sysvmsg >= 5.3.17-111.2
  • php53-sysvsem >= 5.3.17-111.2
  • php53-sysvshm >= 5.3.17-111.2
  • php53-tokenizer >= 5.3.17-111.2
  • php53-wddx >= 5.3.17-111.2
  • php53-xmlreader >= 5.3.17-111.2
  • php53-xmlrpc >= 5.3.17-111.2
  • php53-xmlwriter >= 5.3.17-111.2
  • php53-xsl >= 5.3.17-111.2
  • php53-zip >= 5.3.17-111.2
  • php53-zlib >= 5.3.17-111.2
Patchnames:
slessp4-php53-13151
slessp4-php53-13179
SUSE Linux Enterprise Software Development Kit 11 SP4
  • php53 >= 5.3.17-111.2
  • php53-devel >= 5.3.17-111.2
  • php53-imap >= 5.3.17-111.2
  • php53-posix >= 5.3.17-111.2
  • php53-readline >= 5.3.17-111.2
  • php53-sockets >= 5.3.17-111.2
  • php53-sqlite >= 5.3.17-111.2
  • php53-tidy >= 5.3.17-111.2
Patchnames:
sdksp4-php53-13151
sdksp4-php53-13179
SUSE Linux Enterprise Software Development Kit 12 SP3
  • php5-devel >= 5.5.14-108.1
  • php7-devel >= 7.0.7-49.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP3 GA php5-devel
SUSE Linux Enterprise Software Development Kit 12 SP3 GA php7-devel
openSUSE Leap 42.3
  • apache2-mod_php5 >= 5.5.14-80.2
  • php5 >= 5.5.14-80.2
  • php5-bcmath >= 5.5.14-80.2
  • php5-bz2 >= 5.5.14-80.2
  • php5-calendar >= 5.5.14-80.2
  • php5-ctype >= 5.5.14-80.2
  • php5-curl >= 5.5.14-80.2
  • php5-dba >= 5.5.14-80.2
  • php5-devel >= 5.5.14-80.2
  • php5-dom >= 5.5.14-80.2
  • php5-exif >= 5.5.14-80.2
  • php5-fastcgi >= 5.5.14-80.2
  • php5-ftp >= 5.5.14-80.2
  • php5-gd >= 5.5.14-80.2
  • php5-gettext >= 5.5.14-80.2
  • php5-gmp >= 5.5.14-80.2
  • php5-iconv >= 5.5.14-80.2
  • php5-imap >= 5.5.14-80.2
  • php5-json >= 5.5.14-80.2
  • php5-ldap >= 5.5.14-80.2
  • php5-mbstring >= 5.5.14-80.2
  • php5-mcrypt >= 5.5.14-80.2
  • php5-mysql >= 5.5.14-80.2
  • php5-odbc >= 5.5.14-80.2
  • php5-openssl >= 5.5.14-80.2
  • php5-pdo >= 5.5.14-80.2
  • php5-pear >= 5.5.14-80.2
  • php5-pgsql >= 5.5.14-80.2
  • php5-shmop >= 5.5.14-80.2
  • php5-snmp >= 5.5.14-80.2
  • php5-sockets >= 5.5.14-80.2
  • php5-sqlite >= 5.5.14-80.2
  • php5-suhosin >= 5.5.14-80.2
  • php5-sysvsem >= 5.5.14-80.2
  • php5-sysvshm >= 5.5.14-80.2
  • php5-tidy >= 5.5.14-80.2
  • php5-tokenizer >= 5.5.14-80.2
  • php5-wddx >= 5.5.14-80.2
  • php5-xmlreader >= 5.5.14-80.2
  • php5-xmlwriter >= 5.5.14-80.2
  • php5-xsl >= 5.5.14-80.2
  • php5-zip >= 5.5.14-80.2
  • php5-zlib >= 5.5.14-80.2
Patchnames:
openSUSE Leap 42.3 GA apache2-mod_php5


Status of this issue by product and package

Product(s) Source package State
SUSE Linux Enterprise Module for Web and Scripting 12 php5 In progress
SUSE Linux Enterprise Module for Web and Scripting 12 php7 In progress
SUSE Linux Enterprise SDK 12 SP1 php5 In progress
SUSE Linux Enterprise SDK 12 SP1 php7 In progress
SUSE Linux Enterprise SDK 12 SP2 php5 In progress
SUSE Linux Enterprise SDK 12 SP2 php7 In progress